com.google.gwt.user.client.ui

## Interface AnimatedLayout

All Known Implementing Classes:
  DeckLayoutPanel, DockLayoutPanel, LayoutPanel, RootLayoutPanel, SplitLayoutPanel, StackLayoutPanel, TabLayoutPanel

    public interface AnimatedLayout

Specifies that a panel can animate between layouts.

The normal use pattern is to set all childrens' positions, then to call `animate(int)` to move them to their new positions over some period of time.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `animate(int duration)` Layout children, animating over the specified period of time.
`void` `animate(int duration, Layout.AnimationCallback callback)` Layout children, animating over the specified period of time.
`void` `forceLayout()` Layout children immediately.

### Method Detail

#### animate

    void animate(int duration)

Layout children, animating over the specified period of time.

Parameters:
  `duration` - the animation duration, in milliseconds

#### animate

    void animate(int duration,
                 Layout.AnimationCallback callback)

Layout children, animating over the specified period of time.

This method provides a callback that will be informed of animation updates. This can be used to create more complex animation effects.

Parameters:
  `duration` - the animation duration, in milliseconds
  `callback` - the animation callback

#### forceLayout

    void forceLayout()

Layout children immediately.

This is not normally necessary, unless you want to update child widgets' positions explicitly to create a starting point for a subsequent call to `animate(int)`.

See Also:
  `animate(int)`, `animate(int, Layout.AnimationCallback)`